function OnCreateContent()
-- pauseScreen
	
	CreateGraphics();
    CreateButtons();
end

function OnFreeContent()
end

function OnUpdate(dt)
end

------------------------------------------------------------------------------
--// auxiliary functions

function CreateGraphics()
	pauseText = CreateTextEntity('TextFont', 'PAUSE');
	pauseText:SetName('PauseScreenText');
    pauseText:AttachTo(pauseScreen);
	pauseText:SetXY(SCREEN_WIDTH/2.0, SCREEN_HEIGHT/2.0);
	pauseText:SetZ(1.0);

	CreateWindowShade(pauseText, -1.0, '0xEEFFFFFF');
end

function CreateButtons()
end
